Header set Access-Control-Allow-Origin "*"

<Files ~ "^\.(htaccess|htpasswd)$">
    deny from all
</Files>
ErrorDocument 403 /index.php
ErrorDocument 404 /index.php
DirectoryIndex index.php
order deny,allow

<IfModule mod_expires.c>
    ExpiresActive On
    ExpiresDefault A2592000
    ExpiresByType text/css A604800
    ExpiresByType text/javascript A604800
    ExpiresByType application/javascript A604800
</IfModule>

<filesMatch ".(css|js)$">
    Header set Cache-Control "max-age=604800, public"
</filesMatch>

<filesMatch ".(png|gif|jpg|jpeg|ico|svg|eot|otf|ttf|woff|woff2|xml|webmanifest)$">
    Header set Cache-Control "max-age=2592000, public"
</filesMatch>

<filesMatch ".(html|css|js|png|gif|jpg|jpeg|ico|svg|eot|otf|ttf|woff|woff2|xml|webmanifest)$">
    SetOutputFilter DEFLATE
</FilesMatch>

<IfModule mod_headers.c>
    <FilesMatch ".(html|css|js|png|gif|jpg|jpeg|ico|svg|eot|otf|ttf|woff|woff2|xml|webmanifest)$">
        Header append Vary: Accept-Encoding
    </FilesMatch>
</IfModule>